package com.miaxis.common.enums;

import com.miaxis.common.aliyunOSS.AliyunConfig;
import com.miaxis.common.utils.file.MimeTypeUtils;

/**
 *
 * @author chenjian
 */
public enum FileUploadTypeEnum
{
    REPORT(1, "/report/", MimeTypeUtils.IMAGE_EXTENSION, "举报图片"),
    OTHERS(99, "/others/", MimeTypeUtils.DEFAULT_ALLOWED_EXTENSION, "其他文件");

    private final Integer code;
    private final String filePath;//上传路径
    private final String[] suffix;//后缀
    private final String info;

    FileUploadTypeEnum(Integer code, String filePath, String[] suffix, String info)
    {
        this.code = code;
        this.filePath = filePath;
        this.suffix = suffix;
        this.info = info;
    }

    public Integer getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

    public String getFilePath()
    {
        return AliyunConfig.GZPT_PATH+this.filePath;
    }

    public String[] getSuffix()
    {
        return suffix;
    }
}
